Bug 238236 - Review Request: perl-Catalyst-Plugin-SubRequest - Make subrequests to actions in Catalyst
Summary: Review Request: perl-Catalyst-Plugin-SubRequest - Make subrequests to actions...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Keywords:
Depends On: Catalyst-Runtime
Blocks: 238237 perl-Catalyst-Devel
TreeView+ depends on / blocked
 
Reported: 2007-04-28 04:04 UTC by Chris Weyl
Modified: 2010-08-25 17:18 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-06-05 15:52:34 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-04-28 04:04:22 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-SubRequest-0.11-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-SubRequest.spec

Description:
Make subrequests to actions in Catalyst. Uses the catalyst dispatcher, so
it will work like an external url call.

Comment 1 Parag AN(पराग) 2007-05-16 05:15:54 UTC
make test failed in mock as
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01use............ok
t/02subreq.........Can't locate HTTP/Request/AsCGI.pm in @INC (@INC contains:
t/lib /builddir/build/BUILD/Catalyst-Plugin-SubRequest-0.11/blib/lib
/builddir/build/BUILD/Catalyst-Plugin-SubRequest-0.11/blib/arch
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8 .) at /usr/lib/perl5/vendor_perl/5.8.8/Catalyst/Test.pm
line 112.
# Looks like your test died before it could output anything.
dubious
        Test returned status 255 (wstat 65280, 0xff00)
DIED. FAILED tests 1-9
        Failed 9/9 tests, 0.00% okay
t/03pod............ok
t/04podcoverage....ok
Failed Test  Stat Wstat Total Fail  Failed  List of Failed
-------------------------------------------------------------------------------
t/02subreq.t  255 65280     9   18 200.00%  1-9
Failed 1/4 test scripts, 75.00% okay. 9/12 subtests failed, 25.00% okay.
make: *** [test_dynamic] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.26634 (%check)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.26634 (%check)


Comment 2 Roy-Magne Mo 2007-05-23 01:30:57 UTC
I guess the spec should also BR perl(HTTP::Request::AsCGI)

Comment 3 Chris Weyl 2007-05-23 04:19:11 UTC
Yep :)  Sorry, this one fell under the radar for a while there..

SRPM URL:
http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-SubRequest-0.11-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Catalyst-Plugin-SubRequest.spec

Comment 4 Parag AN(पराग) 2007-06-05 09:43:01 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9b898321d80faf5df99df33f0ad632c3  Catalyst-Plugin-SubRequest-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01use............ok
t/02subreq.........ok
t/03pod............ok
t/04podcoverage....ok
All tests successful.
Files=4, Tests=12,  1 wallclock secs ( 0.52 cusr +  0.09 csys =  0.61 CPU)
+ Provides: perl(Catalyst::Plugin::SubRequest) = 0.11
+ Requires: perl(:MODULE_COMPAT_5.8.8) perl(Catalyst) perl(Catalyst) >= 5.00
perl(Time::HiRes) perl(strict)

APPROVED.


Comment 5 Chris Weyl 2007-06-05 14:55:43 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-SubRequest
Short Description: Make subrequests to actions in Catalyst
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 6 Tom "spot" Callaway 2007-06-05 15:14:51 UTC
cvs done.

Comment 7 Chris Weyl 2007-06-05 15:52:34 UTC
Imported and building.

Thanks for the review! :)

Comment 8 Iain Arnell 2010-08-25 05:56:40 UTC
Package Change Request
======================
Package Name: perl-Catalyst-Plugin-SubRequest
New Branches: el6
Owners: iarnell tremble
InitialCC: perl-sig

Comment 9 Kevin Fenzi 2010-08-25 17:18:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.